#!/bin/sh
echo 'name: test-framework
version: 0.6
id: test-framework-0.6-beb18de14da971e406a7ef3369307877

license: BSD3
copyright:
maintainer: Max Bolingbroke <batterseapower@hotmail.com>
stability:
homepage: http://batterseapower.github.com/test-framework/
package-url:
description: Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
             parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
             command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
pkgpath: devel/hs-test-framework
exposed: True
exposed-modules: Test.Framework Test.Framework.Options
                 Test.Framework.Providers.API Test.Framework.Runners.Console
                 Test.Framework.Runners.Options Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics
                Test.Framework.Runners.TestPattern
                Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
import-dirs: /usr/local/lib/ghc/test-framework-0.6
library-dirs: /usr/local/lib/ghc/test-framework-0.6
hs-libraries: HStest-framework-0.6
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: ansi-terminal-0.5.5-572a1d0154fb2632bb4e9431adf0cdb1
         ansi-wl-pprint-0.6.4-3f19525f6aa84b2f47f98d09f11ab543
         base-4.3.1.0-4365831fa9af03083be195ed161cbbc1
         containers-0.4.0.0-b4885363abca642443ccd842502a3b7e
         extensible-exceptions-0.1.1.2-d8c5b906654260efd7249f497d17a831
         hostname-1.0-75071817127be63d3548cd759f6b627c
         old-locale-1.0.0.2-161f79060c89cc16ca11576ceb440486
         random-1.0.0.3-7511feaba03eecc22356464da8976c7e
         regex-posix-0.95.1-fbb4b06a4426388ed1bba1491f7bccd4
         time-1.2.0.3-3493203919ef238f1a58223fa55b1ceb
         xml-1.3.7-17c7bad625490ec5376bfabeba77ed3b
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-test-framework-0.6/html/test-framework.haddock
haddock-html: /usr/local/share/doc/hs-test-framework-0.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
